package com.wechat.global.message;

public enum InfoMsg {

    /****************系统级****************/
    SUCCESS_REQUEST("0", "成功|Done"),
	ERROR_BINDING_ERROR("1","账号未绑定，如没有门墩儿账号，请注册|Your account is unbound. If you are not a Menduner membership, please sign up"),
    ERROR_SYSTEM_ERROR("9999", "系统异常，请联系管理人员|System error, please contact system administrator"),
    ERROR_EMPTY_REQUEST("9001", "空的非法请求|Empty/illegal request"),
    
    
    /****************业务级 成功****************/
    
    /****************业务级 失败****************/
    ERROR_BINDING("1001", "账户关联认证失败，请确认您输入的账户信息|Account authentication failed. Please confirm the entered account information"),
    ERROR_CAPTCHA("1002", "验证码错误|Incorrect CAPTCHA code"),
    ERROR_VERIFICATIONCODE("1003", "短信验证码错误|Incorrect text message verification code"),
    ERROR_AUZ_FAILED("1004", "第三方登录授权失败，请重新授权|Autherization of third-party login failed. Please try again"),
    ERROR_TOO_LARGE("1005", "上传图片太大|The uploaded image file is too big"),
    ERROR_WECHAT_MENU("1006", "自定义菜单设置失败|Failure to create a user-defined menu"),
    ERROR_UPLOAD_FIELD("1007", "上传失败|Upload failed"),
    ERROR_SAVE_FIELD("1008", "数据保存失败|File failed to save"),
    ERROR_LOGIN("1009", "账号与密码不匹配|Inconsistent account number and password"),
    ERROR_PERSON_USER_NOTEXIST("1010", "用户不存在，如非中国大陆手机，请加国家代码 如\"+86****\"|The membership is not exsiting. Please add the country code for non-China mainland mobile number, such as \"+86****\""),
    ERROR_ENTERPRISE_USER_NOTEXIST("1010", "用户不存在|The membership is not exsiting."),
    ERROR_LOGIN_MISS("1011", "账号或密码未输入|The account number or password is not entered"),
    ERROR_USER_MISS("1012", "不存在的用户|The user does not exist"),
    ERROR_Type_MISS("1013", "请选择登录方式|Please select a login method"),
    ERROR_REGESITER_TimeOut("1014","验证码已过期|The verification code has expired"),
    ERROR_REGESITER_ERROR_CODE("1015","验证码错误|Incorrect verification code"),
    ERROR_FORMAT_ERROR("1016","用户名格式不对|Incorrect user ID format"),
	ERROR_IMAGECODE_ERROR("1017","图形识别码错误|Incorrect image identification"),
	ERROR_REPASSWORD_ERROR("1018","两次输入密码不一致|The two passwords entered are not identical"),
	ERROR_COOKIE_ERROR("1021","非法的请求，请允许使用cookie|Illegal request, please allow the use of cookies"),
	ERROR_CAPTCHA_FAIL("1022","图形验证码生成失败|Failure to generate image verification code"),
	ERROR_QUERY_FAIL("1023","数据查询失败|Unsuccessful data query"),
	ERROR_INCOMPLETE_INFORMATION("1024","注册信息不完整|Incomplete registration information"),
	ERROR_SEND_MESSAGE_FAIL("1025","短信发送失败|Failure to send text message"),
	ERROR_UPDATE_USER_FAIL("1026","更新用户信息失败|Failure to update userinfo"),
	ERROR_NOPOSITION_ERROR("1027","该企业没有没发布该职位|The company has not posted the position"),
	ERROR_ORDER_NOT_EXIST("1028","订单不存在|The order does not exist"),
	ERROR_WRONG_PRICE("1029","订单金额不匹配|The order price does not match"),
	ERROR_WRONG_STATUS("1030","订单已处理|The order has been processed"),
	ERROR_ILLEGAL_OPERATION_ERROR("1032","此账号已被限制登录，如有疑问请发送邮件至：services@menduner.com，我们会尽快与您联系 |Your account has been restricted. Please drop us an email services@menduner.com if you have any queries. We will contact you as soon as possible."),
	ERROR_CHECKSTATUS_ERROR("1031","此账号暂未审核完成，请耐心等待|The account is being reviewed at the moment. Please wait"),
	ERROR_LOGINMODEL_ERROR("1033","登录来源|Login source"),
	ERROR_PHONE_ERROR("1034","手机号不合法|The mobile phone number is illegal"),
	ERROR_LOGINPASSWORDERRORRECORD_ERROR("1035","请找回密码或24小时后尝试登录|Please retrieve your password or try to logging in after 24 hours"),
	EERROE_SURPLUSCOUNT_ERROR("1036","还有三次机会|You have three more chances"),
	EERROE_ENTERPRISEADVER_ERROR("1036","企业不能投递简历|CVs submitted by enterprises are not accepted"),
	EERROE_POSITION_ERROR("1037","职位Id不能为空|The position ID cannot be left blank"),
	EERROE_PASSWORDCONSTITUENT_ERROR("1038","请输入6-12位由数字字母组成的密码|Please input a password with 6-12 characters composing of numbers and letter"),
	EERROE_FILENOTEXIST_ERROR("1038","文件不存在|File does not exist"),
	ERROR_HTTPS_ERROR("1039","请填写以http或https开始的正确网址|Please fill in the correct URL starting with http or https"),
	ERROR_MD5ENCRYPT_ERROR("1040","加密失败|Encryption failed"),
	ERROR_SEND_EMAIL_FAIL("1041","邮件发送失败|Failure to send text email"),
	ERROR_EMAIL_CHECK("1042","邮箱格式不正确|The email format is not correct"),
	/****************方法内失败****************/
	ERROR_INSERT_REDIS_ERROR("2001","缓存信息失败|Cache memory information failed"),
	ERROR_PARAM_CONVERSION_ERROR("2002","Cookie Error"),
	ERROR_HOTEL_NOTEXSIT("2003","酒店不存在|The hotel does not exist"),
	ERROR_PT_IS_EXSIT("2004","职位头衔已经存在|The position title already exists"),
	ERROR_IDENTITY_FLAG_NOT_EXSIT("2005","身份标识不存在|The ID flag does not exist"),
	ERROR_PHONE_IS_EXSIT("2006","手机号已被注册|The mobile phone number has already been registered"),
	ERROR_READ_FILE("2007","读取文件失败|Failure to read the document"),
	ERROR_NULL_PARAM("2012","参数不能为空|The parameter cannot be left blank"),
	ERROR_SENDMAIL_PARAM("2013","邮件发送失败|Failure to send the mail"),
	ERROR_PASSWORD_FILE("2008","密码修改失败|Failure to change the password"),
	ERROR_UPDATE_USERCVSTATUS_FILE("2009","更新失败|Update unsuccessful"),
	ERROR_IS_FRIEND("2010","已经是好友了|You are already friends"),
	ERROR_WAIT_FRIEND_TO_CHECK("2011","等待好友确认|Waiting for friend confirmation"),
	ERROR_INSERTMDECOOPERATIONMSG_ERROR("2022","新增合作伙伴失败|Failure to add a new cooperation partner"),
	ERROR_JOBSTATUS_ERROR("2023","招聘状态不存在|The recruitment status does not exist"),
	ERROR_PARAMS_ERROR("2024","参数错误|Parameter error"),
	ERROR_ENTPHONE_ERROR("2025","联系方式不能空|The contact method should not be left blank"),
	ERROR_TYPE_ERROR("2026","类型错误|Category error"),
	ERROR_WORKEXPERIENCE_ERROR("2027","工作经验必须为数字|Work experience must be input as a number"),
	ERROR_DELETE_ERROR("2027","删除失败|The deletion was unsuccessful"),
	ERROR_PHONECODE_ERROR("2028","国家代码错误|Country code error"),
	/****************tangwc 3000开始****************/
    ERROR_REGESITER_FIELD("3001","该手机号或邮箱已被注册|The mailbox has already been registered"),
	ERROR_EMAIL_IS_EXSIT("3001","该邮箱已被注册|The mailbox has already been registered"),
	REPEAT_POST_POSITION("3002","该职位已投递|The position has been posted"),
	ERROR_DOWNLOAD_WORD("3003","下载失败|Failure to download"),
	ERROR_INSERT_ERROR("3004"," 信息保存失败|Failure to save data"),
	ERROR_CODE_NECESSARY("3005","微信支付Code必须|WeChat payment code is necessary"),
	ERROR_INVITATION_ERROR("3006","重复的邀请|Invitations failure,Repeated invitations"),
	ERROR_LOGIN_TYPE_ERROR("3007","第三方登录源不确定|Third party login source is not confirmed"),
	ERROR_CAN_NOT_SHARE("3008","仅好友可见的动态不可以被分享|The story is for friends only and can not be shared"),
	ERROR_EDUCATION_BEYOUND_LIMIT("3009","教育履历只能有三条|Only three items are allowed for Education"),
	ERROR_FILE_TYPE_ERROR("3010","文件格式不正确|Incorrect file format"),
	ERROR_MAKE_FRIEND_MYSELF("3011","不能添加自己为好友|You cannot add yourself as a friend"),
	ERROR_TREND_NOT_EXIST("3012","抱歉，该动态已被原作者删除|Sorry, this post has been removed by the publisher"),
	ERROR_GET_BASE_DATA("3013","获取基础数据失败|Failed to get basic data"),
	ERROR_IMG_BEYOUND_LIMIT("3014","上传的图片超过数量限制|The number of pictures exceeds the limit."),
	ERROR_TICKET_USED("3015","该券不存在或已经被使用|The ticket does not exist or has been used.."),
	ERROR_GET_OWN_TICKET("3016","不能领取自己分享的券|Unable to get the tickets that have been shared by yourself."),
	ERROR_REPEAT_GET_TICKET("3017","您已领取过该券|You have received the ticket."),
	ERROR_TICKET_OUT("3018","该券已经被领完|The fund voucher has been claimed."),
	ERROR_Incorrect_linksT("3018","链接不正确|Incorrect links."),
	ERROR_LENGTH_OVER_LIMIT("3019","长度超过限制|Length over limit."),
	/****************jadyn 4000开始****************/
	ERROR_DATA_MISS("4010","数据错误，请重新访问该页面|Due to data error, please visit this webpage again."),
	ERROR_RELEASE_BEYOND("4011","免费职位数已达上限（{0}个），请升级为VIP或替换已发布职位。|{0} free job postings are used up, Please update your corporate account or replace job vacancies you posted."),
	ERROR_RECOMMEND_BEYOND("4012","您的首推职位次数已达上限|Number of of markings for preferred job posting reach the limit"),
	ERROR_DATA_UPDATE("4013","数据更新失败|Unsuccessful data update"),
	ERROR_IMAGE_TYPE("4014","图片文件格式错误，请使用JPG, PNG, JPEG文件|Image file type error, please use JPG, PNG, JPEG file"),
	ERROR_IMAGE_UPLOAD("4015","图片上传失败|Image upload failed"),
	ERROR_CONDITION_DATE("4016","仅限{0}前注册用户|Valid for registered users by {0} "),
	ERROR_CONDITION_VIP("4017","仅限VIP用户参与|Only for VIP members"),
	ERROR_CONDITION_TIME("4018","每位用户仅限购买{0}次，如有未支付订单请先完成支付或取消该订单|Each user is only allowed to purchase {0} time(s). If there is any unpaid order, please complete the payment or cancel the order."),
	ERROR_NOT_ENOUGH("4019","商品库存不足|Inventory is not sufficient"),
	ERROR_GOODS_UP("4020","时候未到，请耐心等待|It's not time yet. Please wait"),
	ERROR_GOODS_DOWN("4022","该商品已下架，您来晚了|The product is sold out"),
	ERROR_JOBFAIR_OFF("4023","您来晚了，本次招聘会已经结束！|You are late for the online job fair that comes to an end."),
	ERROR_UN_SUBSCRIBE("4024","请先关注我们微信公众号，微信搜索“门墩儿顶尖招聘”！|Please follow our WeChat Public Account by \"MendunerChina\""),
	ERROR_JOIN_VIDEO_ROOM("4025","您暂无权限加入该视频会议，请检查房间号是否正确！|You are late for the online job fair that comes to an end."),
	
	ERROR_UNBINDING("4026","账号未绑定，请关注我们微信公众号并绑定！|Your Menduner account is unbound. Please follow our WeChat official account and bind it."),
	ERROR_FILE_TOOLONG_ERROR("4027","文件名称过长，请修改后提交！|The file name is too long, please submit after modification!"),
	
	ERROR_USERINFO_PREFERRED("4030","用户信息不完整，意向工作地未填写。|Personal information is incomplete. Your preferred work city is empty."),
	ERROR_USERINFO_BIRTHDAY("4030","用户信息不完整，生日未填写。|Personal information is incomplete. Your date of birth is empty."),
	ERROR_USERINFO_EDUCATION("4030","用户信息不完整，教育经历填写。|Personal information is incomplete. Your education background is empty."),
	ERROR_USERINFO_CVFILES("4030","用户信息不完整，请使用个人电脑访问www.menduner.com上传简历附件。|Personal information is incomplete. Please upload your CV by personal computer via www.menduner.com"),
	
	/****************zhouyd 5000开始****************/
	ERROR_PHONELENGTH_ERROR("5000","手机号长度应该为{0}位|Phone number should be {0} bit length"),
	ERROR_WEIXINPROELLING_ERROR("5001","邀请信息推送失败|Invitation information push failed"),
    ;
    
    
    
    private String code;

    private String msg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    private InfoMsg(String code, String msg)
    {
        this.code = code;
        this.msg = msg;
    }

}
